//
//  DashboardView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI
import JellyfinKit

struct DashboardView: View {
  @State var showingSettingsSheet: Bool = false
  
  var body: some View {
    NavigationStack {
      VStack {
        DashboardLibraryView()
      }
      .navigationTitle("Home")
      .toolbar {
        ToolbarItem(placement: .topBarTrailing) {
          Button {
            showingSettingsSheet.toggle()
          } label: {
            Label("Settings", systemImage: "gear")
          }
        }
      }
      .sheet(isPresented: $showingSettingsSheet) {
        SettingsView(showingSettingsView: $showingSettingsSheet)
      }
    }
  }
}

//#Preview {
//  DashboardView()
//}
